## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputerStruct< T > Class Template Reference
[Containers]

Template that can be used as a base class for hash computers for POD structs. More...

`#include <csutil/hash.h>`

List of all members.

## Static Public Member Functions

static uint | ComputeHash (const T &key)

## Detailed Description

### template<class T>
class csHashComputerStruct< T >

Template that can be used as a base class for hash computers for POD structs.

Example:

     CS_SPECIALIZE_TEMPLATE csHashComputer<MyStruct> :
       public csHashComputerStruct<MyStruct> {};

Definition at line 200 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h